
<ion-content>
  <ion-card>
    <ion-card-header>
      <ion-card-title>
        Update Company
      </ion-card-title>
    </ion-card-header>
    <ion-card-content>

      <form [formGroup]="formUpdateAzienda" >
        <div padding>
          <ion-item>
            <ion-input name="nameAzienda" type="text" placeholder="Nome Azienda" formControlName="nameAzienda"style="text-transform: capitalize;"></ion-input>
          </ion-item>

          <ion-item *ngIf="formUpdateAzienda.controls['nameAzienda'].invalid && formUpdateAzienda.controls['nameAzienda'].dirty ">
            <div style=" background-color: salmon;">
              The field is required
            </div>
          </ion-item>
        </div>
        
        <div  padding>
          <ion-button  class="update" color='primary' (click)="updateAzienda()" size="large" type="submit" [disabled]="formUpdateAzienda.invalid">Update Azienda</ion-button>
        </div>

      </form>
      <!--{{aziende|json}}-->
      
    </ion-card-content>
  </ion-card>
<!------------------------------------------------------------------------------------------------------------------------------->

<!------------------------------------------------------------------------------------------------------------>
  <ion-card>
    <ion-card-header>
      
      <ion-card-title>Company Headquarters List</ion-card-title>
    </ion-card-header>
  <ion-list>
    
    <!--<ion-toolbar>
      <ion-searchbar animated></ion-searchbar>
      </ion-toolbar>-->
    <ion-item *ngFor='let i of sedi'>
      <ion-label>
        <B>ID Headquarter :</B> {{i.idOffice}}<br>
        <B>City :</B> {{i.city|titlecase}}<br>
        <B>Street :</B> {{i.street|titlecase}}<br>
        <B>n° :</B> {{i.civicNumber}}<br>
        <B>Cap :</B> {{i.cap}}<br>
        <B>Phone :</B> {{i.telefone}}<br>
        {{postiDisponibiliInSede(i)}}/{{totalePostiperOffice(i)}}
        
      </ion-label>
      

      <ion-button fill="outline" (click)='modify(i)'>Modify</ion-button>
      <ion-button color='danger' fill="outline" (click)='delete(i)'>Delete</ion-button>
    </ion-item>
    
  </ion-list>
  </ion-card>
  <div style="text-align:center;">
    <ion-button class='add' color='success' fill="outline" (click)="add()" >Add Office</ion-button> 
  </div>
</ion-content>